%define major		1
%define libname		%mklibname va %{major}
%define develname	%mklibname va -d

# h264 encoder support (disabled by default)
%define		build_h264enc	0
%{?_with_h264enc: %global build_h264enc 1}
%{?_without_h264enc: %global build_h264enc 0}

Name:		libva
# The rather complex versioning is due to the upstream being a patched
# version of the real upstream libva; when the real upstream 0.5 comes
# out we will no longer need to use Gwenole's patched version of 0.3
Version:	1.0.12
Release:	%{mkrel 1}
Summary:	Video Acceleration (VA) API for Linux
Group:		System/Libraries
License:	MIT
URL:		http://www.freedesktop.org/wiki/Software/vaapi
Source0:	http://cgit.freedesktop.org/libva/snapshot/%{name}-%{version}.tar.bz2
# grabbed from fedora (originally from sds)
Patch0:		101_dont_install_test_programs.patch
# h264 encoder support (disabled by default)
# from http://cgit.freedesktop.org/libva/log/?h=snb-encoder
Patch100:	0100-i965_drv_vidoe-Encoder-on-Sandy-Bridge.patch
Patch101:	0101-fix-for-interface-descriptor.patch
Patch102:	0102-fix-internal-buffer-size.patch
Patch103:	0103-release-all-BOs-when-terminating.patch
Patch104:	0104-Workaround-for-720p-1080p-encoding.patch
Patch105:	0105-fix-for-VAEncCodedBufferType.patch
Patch106:	0106-test-encode-h264encode-Destroy-config-after-context.patch
Patch107:	0107-Support-Inter-frames-in-driver.patch
Patch108:	0108-disabling-cabac-zeros-words-inert-using-0x00000000-a.patch
Patch109:	0109-i965_drv_video-encode-fix-CURBE-usage-for-VME.patch
Patch110:	0110-add-inter-frame-support-in-vme.patch
Patch111:	0111-i965_drv_video-encode-fix-interface-descriptor-table.patch
# BR
BuildRequires:	libtool
BuildRequires:	libxext-devel
BuildRequires:	libxfixes-devel
BuildRequires:	libdrm-devel
BuildRequires:	GL-devel

%description
Libva is a library providing the VA API video acceleration API.

%package -n vainfo
Summary:	VA-API information tool
Group:		Video
Conflicts:	libva < 0.31.1
Obsoletes:	libva-test < 0.31.1

%description -n vainfo
Libva is a library providing the VA API video acceleration API.
This packages provides the vainfo tool showing VA-API information.

%package -n vaapi-driver-i965
Summary:	VA-API driver for Intel i965
Group:		System/Kernel and hardware
# old 'libva' package contained i965 + vainfo
Obsoletes:	libva < 0.31.1

%description -n vaapi-driver-i965
Intel integrated G45 graphics chips driver for VA API, a video
acceleration API.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
Libva is a library providing the VA API video acceleration API.

%package -n %{develname}
Summary:	Development headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libva is a library providing the VA API video acceleration API. This
package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q
# disable install of test programs
%patch0 -p1

# h264 encoder support
%if %build_h264enc
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%endif

%build
autoreconf -i
%configure2_5x --disable-static --enable-glx --enable-i965-driver
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -regex ".*\.la$" | xargs rm -f --

# dummy driver has no good place, so get rid of it
rm %{buildroot}%{_libdir}/dri/dummy_drv_video.so

%clean
rm -rf %{buildroot}

%files -n vainfo
%defattr(-,root,root,-)
%{_bindir}/vainfo

%files -n vaapi-driver-i965
%defattr(-,root,root,-)
%{_libdir}/dri/i965_drv_video.so

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/%{name}-egl.so.%{major}*
%{_libdir}/%{name}-glx.so.%{major}*
%{_libdir}/%{name}-tpi.so.%{major}*
%{_libdir}/%{name}-x11.so.%{major}*
%dir %{_libdir}/dri

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/va
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc


%changelog
* Sun Apr 17 2011 tmb <tmb> 1.0.12-1.mga1
+ Revision: 87043
- add h.264 encoder support (disabled by default)
- dont install test programs (fedora)
- update to 1.0.12

  + ahmad <ahmad>
    - imported package libva


* Thu Aug 12 2010 Anssi Hannula <anssi@mandriva.org> 0.31.1.1.sds4-2mdv2011.0
+ Revision: 569195
- fix ldconfig warning

* Mon Jul 19 2010 Anssi Hannula <anssi@mandriva.org> 0.31.1.1.sds4-1mdv2011.0
+ Revision: 555026
- new version

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.31.1.1.sds3-1mdv2011.0
+ Revision: 551390
- use libva upstream major instead of changing it every release, since
  sds patches do not seem to currently break ABI compatibility
- new version
- split out i965 driver, vainfo, and libs with different majors

* Wed Feb 24 2010 Olivier Blin <oblin@mandriva.com> 0.31.0.1.sds10-1mdv2010.1
+ Revision: 510659
- put back sane buildroot
- package test tools
- remove hardcoded buildroot
- bump to sds10 (thanks Gwenole for the notification)

* Thu Jan 21 2010 Adam Williamson <awilliamson@mandriva.org> 0.31.0.1.sds9-1mdv2010.1
+ Revision: 494679
- new release 0.31.0-1sds9

* Thu Sep 03 2009 Adam Williamson <awilliamson@mandriva.org> 0.30.4.1.sds5-1mdv2010.0
+ Revision: 428878
- import libva

